==== version 0.1.5 ====

2006-09-25 Vladimir Paskov <vlado.paskov@gmail.com>
	
	* po/bg.po: fixed error occured while
	generating the locale.

2006-09-24 Vladimir Paskov <vlado.paskov@gmail.com>

	* help/C/figures: some figures for the users
	manual are updated to reflect the changes made
	in the application lates version, the figures are
	- figure_vmoviedb_find.png
	- figure_vmoviedb_pref_main.png
	- figure_vmoviedb_pref_list.png
	- figure_vmoviedb_play.png
	* help/C/vmoviedb.xml: the users manual is updated
	to reflect the latest version of the application.
	Also some minor fixes are preformed.

2006-09-23 Vladimir Paskov <vlado.paskov@gmail.com>
	
	* src/search.c/h,callbacks.c/h: wee... the search
	dialog popup menu finally works. Some iprovements in the
	way information is presented to the user.
	* po/bg.po: Bulgarian translation is cleaned from messages 
	no longer in use in vMovieDB and updated to fit the new
	version.

2006-09-08 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* src/gui.c: gtk_action_group_add_actions () now pass
	main_window.treeview as it's argument (gpointer user_data).
	* src/callbacks.c, src/edit_dialog.c/h, src/dialogs.c/h:
	vmdb_edit_movie_dialog (), vmdb_play_movie_dialog (),
	vmdb_delete_movie_dialog (), vmdb_img_view_dialog ()
	have arguments (GtkAction *action, gpointer data)
	and insted of main_window.treeview, they now access
	the movie list trougt the (gpointer data), (gpointer data)
	argument is passed to them trougt gtk_action_group_add_actions ( ).
	This cnages allows the use of the abough functions from any place in
	the source.
	* data/vmoviedb.schemas.in: fixed "Opening and ending tag mismatch"
	error on line 45.

2006-09-06 Vladimir Paskov  <vlado.paskov@gmail.com>

	* src/gui.c: movie information box tooltips now works.
	* data/glade/dialogs.glade: backup tool interface is ready.

2006-09-05 Vladimir Paskov  <vlado.paskov@gmail.com>

	* src/callbacks.c src/callbacks.h: vmdb_add_movie ( ) and vmdb_edit_movie ( )
	functions are combined in one function named
	vmdb_movie_operation (int op, GtkWidget *text_view, char *num), because
	the only difference between these two functions was the type of call
	they make to the xml parser (int op). Now called with 
	VMDB_ACTION_ADD and NULL as tird argument (char *num), the function 
	will create a new record in the database, or called with 
	VMDB_ACTION_EDIT and value != NULL as tird argument will edit the 
	selected database record.

2006-09-03 Vladimir Paskov  <vlado.paskov@gmail.com>

	* data/glade/dialogs.glade: small fixes over the preferences
	dialog layout.
	* data/vmoviedb_ui.xml: added entry for the "View->Hide Adult Movies",
	radio item.
	* src/gui.c src/callbacks.c src/callbacks.h src/preferences_dlg.h:
	added option for hiding or showing movies with "Adult" content.
	* src/preferences_dlg.c src/preferences_dlg.h src/callbacks.c src/movie_list.c:
	movie list item double click action.
	* src/dialogs.c: small fix over the play dialog.
	* data/vmoviedb.schemas.in: added schemas fot the new gconf keys.
	* src/tag_categories.c: fixed misspelled comment.

2006-08-26 Vladimir Paskov  <vlado.paskov@gmail.com>

	* data/glade/dialogs.glade: preferences dialog changes
	to fit the new double click feature actions, also slight redesing
	of the play movie dialog.
	* data/glade/search.glade: result box header is not shown by default,
	also the "Category" toggle buttons are now replaced with radio
	buttons.
	* data/glade/main_window.glade: changes on wich GUI elements are
	translatable.

==== version 0.1.4 ====
			
2006-08-24 Vladimir Paskov  <vlado.paskov@gmail.com>

	* src/callbacks.c: changed column ID to 2 in vmdb_imdb_search ()
	* help/C/vmoviedb.xml: user's manual is compleate.
	* src/gui.c: function to display user's manual, this is
	a temporary solution until I find why gnome_help_display ()
	crash.
	* src/add_dialog.c: removed the help callback.
	* src/edit_dialog.c: removed the help callback.
	* po/bg.po: slight update.

2006-08-23 Vladimir Paskov  <vlado.paskov@gmail.com>

	* configure.in, intltool-*.in: Project now have an intltool support.
	* help/Makefile.am: help instalation and unistalation support.
	* help/C/Makefile.am: rules to build and install.
	* data/Makefile.am: gconf schema file support,
	make clean and distclean options.
	* data/glade/Makefine.am: make clean and distclean options
	for removing *.bak and *.gladep files.
	* po/POTFILES.in: added src/callbacks.c
	* po/bg.po: Bulgarian translation corrections.
	* gui.c: added gtk_action_entry_set_translation_domain ( ).
	* xmldocs.make, omf.make: requied for bilding the help documents.

2006-08-22 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* po/bg.po: Bulgarian translation is updated.
	* data/vmoviedb.schema.in: gconf schema file is compleate, so from now on
	the gconf keys will have a description and default start values.
	* preferences_dlg.c/h,gui.c: movie list columns preferences
	are rearanged to mach the new movie list layout. New
	gconf key and code to handle it are created for the
	Genre column.

2006-08-20 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* callbacks.c: fixed bug where movies having spaces
	in their filenames won't play.
	* tag_categories.c/h: this files will hold tags
	sorting code.

2006-08-16 02:36AM Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* gui.c/add_dialog.c/edit_dialog.c/parser.c/data_struct.h
	gui_struct.h/callbacks.h: Movie tags with alot's of
	enchantments.

2006-08-14 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* gui.c/preferences_dlg.h/vmoviedb_ui.xml: User now can
	show or hide "Movie Information Box" by pressing <F9>
	key or selecting "View->Movie Information Box". Also
	main window popup menu is extended with 2 more options:
	"Show only movies from this genre" and
	"Show only movies form this year".
	* gui.c/callbacks.c: refresh button now shows only when
	refresh operation is requied.

2006-08-11 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* parcer.c/h: a lot's of changes. See the files
	for more information.
	* export_dialogs.c/callbacks.c: new export functions.

2006-07-01 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* gui.c, callbacks.c: main window functionality
	improvements. User can view movies from selected
	genre by clicking on it in "Movie Information Box". 
	ImDB.com button is removed. If the user want to do a
	ImDB.com search for selected movie, he/she need to
	click on movie title in "Movie Information Box".
	* dialogs.c: fixed "Movie Image Viewer" bug causing
	Segmentation fault.
	* genre_editor.c/h, genre_parser.c/h, main.c/h:
	Genre editor and genre parser have been rerwiten.
	
2006-06-29 Vladimir Paskov  <vlado.paskov@gmail.com>

	* parcer.c/h: xml parsing code have been rerwiten.
	* major code changes to fit the new parser
	
2006-06-26 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* dialogs.c: database information dialog is removed.
	* add_dialog.c: fixed bug where movie genre is
	always set to "N/A".
	* add_edit_common.c, edit_dialog.c: fixed bug where
	movie rating is always set to maximum when it isnt't
	changed in movie editing process.

2006-06-22 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* movie_list.c: user can sort his/her movies by rating. 
	Little tweaking is needed. Probably custom rating sort
	function.
	
	* gui.c, main_window.glade: cosmetic interface changes.
	"Additional information for:" is replaced by "Title:" and
	"Record in database" is replaced by "Record:". The button whith
	ImDB.com logo is removed, and button for quick movie ediditing is
	added. Movie image layout changes.
	
	* dialogs.c, dialogs.glade: movie image viewer improvements and
	layout changes. Now user can browse all images in his/her movie
	collection using "Back" and "Forward" buttons.
	
	* libvmdbwidgets.la: changed rating layout. Now rating widget use
	text_aa[state] property to colorize the stars. Rating box shadows
	are removed and ratting background color is set to mach current
	GTK+ theme background color.

==== version 0.1.3 ====

2006-06-19 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	*until I find how to fix translation (po) files
	instalation I will not use inittool.
	*code cleanups
	*release preparations

2006-06-18 Vladimir Paskov  <vlado.paskov@gmail.com>

	*add_dialog.c, edit_dialog.c, add_edit_common.c/h, data_struct.h:
	Movie ratting fixes. It works finally.
	*code cleanups

2006-06-17 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	*callbacks.c, add_dialog.c, parser.c, data_struct.h:
	Adding/removing movie comment now works.
	*comment_box.c: "Clear comment text" now works.
	*preferences_dlg.c, preferences_dlg.h, gui.c:
	vMovieDB now remembers and set properly the state of movie list columns.
	*movie_list.c, parser.c, add_dialog.c, edit_dialog.c, callbacks.c:
	Movie rating now works, just a little tweaking is needed.

2006-06-16 Vladimir Paskov  <vlado.paskov@gmail.com>

	*comment_box.c, comment_box.h, edit_dialog.c: 
	Editing movie comment now works.
	*gui.c: Main window now use gnome_appbar insted of gtk_status_bar.
	*configure.in: fixed warnings generated by autoheader.

2006-06-12 Vladimir Paskov  <vlado.paskov@gmail.com>

	*main.c: command line options.

2006-06-10 Vladimir Paskov  <vlado.paskov@gmail.com>

	*add_edit_common.c, add_edit_common.h: code common for add and
	edit dialogs.

2006-06-08 Vladimir Paskov  <vlado.paskov@gmail.com>

	23:34:42 GTM+0300 *libvmdbwidgets.la - the library will be partially rewiten,
	but I will do this after my university session.

	*libvmdbwidgets.la  - vMovieDB shared library wich holds
	vMovieDB rating widget and vMovieDB rating cell renderer
	created. Rating widget and cell renderer work partially for now.
	The library is located under "widgets" directory and is far from perfect :)
	*movie_list.c, dialogs.c: code ajustments (libvmdbwidgets.la)
	*dialogs.glade: preferences_dialog now have tab for "My favorite movies"
	*instalation related fixes (libvmdbwidgets.la)

2006-06-07 Vladimir Paskov  <vlado.paskov@gmail.com>

	*callbacks.c: showing comment for selected movie in main window now work.

2006-06-04 Vladimir Paskov  <vlado.paskov@gmail.com>

	*preferences_dlg.c: fixed incorrect update of video_player gconf key.
	*preferences_dlg.c: "Don't show play dialog" option now work. 
	*dialogs.c, dialogs.glade: movie image viewer created.
	*export_dialogs.c, export_dialogs.glade: export to html dialog modifications, fixed
	some messages.
	*parser.c: export to html code improvements.
	*comment_box.c: comment box work partially.

==== version 0.1.2 ====

2006-06-01 Vladimir Paskov  <vlado.paskov@gmail.com>

	*fixed problem with locale loading
	*fixed problem with vMovieDB.desktop file instalation.
	Now vMovieDB shoud appear under
	Applications->Sound & Video

==== version 0.1.1 ====

2006-05-30 Vladimir Paskov  <vlado.paskov@gmail.com>

	*seach.c, search.h: movie search is implented.

2006-05-27 Vladimir Paskov  <vlado.paskov@gmail.com>

	*i18n support (Internalization)
	*gui.c: menu tooltips are now shown in the status bar.
	
2006-05-25 Vladimir Paskov  <vlado.paskov@gmail.com>

	*instalation and uninstalation related fixes.
	*dialogs.c: fixed incorrect user name display in database
	information dialog.
	*dialogs.c: gnome_vfs_format_file_size_for_display ( ) 
	used to represent db's sizes as apropriate (KB, MB etc...)

2006-05-24 Vladimir Paskov  <vlado.paskov@gmail.com>

	*code cleanups.
	*most functions now have "vmdb_" prefix.

==== version 0.1.0 ====

2006-05-01 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	*Release preparations
	*about.c: about dialog is done.

2006-04-23 Vladimir Paskov  <vlado.paskov@gmail.com>

	* preferences_dlg.c: gconf integration now partialy works.
	Showing and hiding movie list colums works too.

2006-04-22 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* settings_rc.c: finally vMovieDB can store store it's
	databases under /home/$USER/.vmoviedb and read
	them from there.
	* callbacks.c: playing movie now works
	* callbacks.c: imdb.com search is done

2006-04-01 Vladimir Paskov  <vlado.paskov@gmail.com>
	
	* Project structure cleanup and instalation relatet fixes.

2006-02-24 Vladimir Paskov <vlado.paskov@gmail.com>

    	* data/glade/search.glade: search dialog now use libglade
    	* data/glade/dbinfo.glade: database information dialog now use libglade
    
2006-02-22 Vladimir Paskov <vlado.paskov@gmail.com>

	* data/glade/back_wizard.glade: removed.
	* data/glade/vmdb_wizard.glade: removed.
	Both wizards are now in one glade ui file called wizards.glade
	
	* pixmaps/*: most of the pixmaps are replaced with more eye cany
	one's taken from Crystal Clear KDE icons theme, prefix vmdb-* is added.

	* src/preferences_dlg.c: preferences dialog layout is fixed. and also
	first steps to GConf integration are taken. 

	* stc/comment_box.c stc/comment_box.h: added comment widget for add and edit
	dialogs.

	* src/add_dlg.c: add dialog is redesinged and layout is fixed.

2006-02-17 Vladimir Paskov <vlado.paskov@gmail.com>

	* src/dialogs.c: Export to text document and 
	export to html document dialogs are redesinged.
